org.eclipse.viatra.query.patternlanguage.emf.util

## Class AdvancedPatternParser.AdvancedPatternParserSnapshot.Builder

- java.lang.Object
- - org.eclipse.viatra.query.patternlanguage.emf.util.AdvancedPatternParser.AdvancedPatternParserSnapshot.Builder

- Enclosing class:
    AdvancedPatternParser.AdvancedPatternParserSnapshot

      public static class AdvancedPatternParser.AdvancedPatternParserSnapshot.Builder
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `AdvancedPatternParser.AdvancedPatternParserSnapshot.Builder` | `addedPatternResults(org.eclipse.emf.common.util.URI uri, PatternParsingResults results)`
    `AdvancedPatternParser.AdvancedPatternParserSnapshot` | `build()`
    `AdvancedPatternParser.AdvancedPatternParserSnapshot.Builder` | `impactedPatternResults(org.eclipse.emf.common.util.URI uri, PatternParsingResults results)`
    `static AdvancedPatternParser.AdvancedPatternParserSnapshot.Builder` | `on(SpecificationBuilder builder)`
    `AdvancedPatternParser.AdvancedPatternParserSnapshot.Builder` | `removedPatternResults(org.eclipse.emf.common.util.URI uri, PatternParsingResults results)`
    `AdvancedPatternParser.AdvancedPatternParserSnapshot.Builder` | `unaffectedPatterns(org.eclipse.emf.common.util.URI uri, java.util.Collection<Pattern> results)` Deprecated. This method was introduced by error, all its calls are ignored
    `AdvancedPatternParser.AdvancedPatternParserSnapshot.Builder` | `updatedPatternResults(org.eclipse.emf.common.util.URI uri, PatternParsingResults results)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### on

          public static AdvancedPatternParser.AdvancedPatternParserSnapshot.Builder on(SpecificationBuilder builder)

    - #### addedPatternResults

          public AdvancedPatternParser.AdvancedPatternParserSnapshot.Builder addedPatternResults(org.eclipse.emf.common.util.URI uri,
                                                                                                 PatternParsingResults results)

    - #### removedPatternResults

          public AdvancedPatternParser.AdvancedPatternParserSnapshot.Builder removedPatternResults(org.eclipse.emf.common.util.URI uri,
                                                                                                   PatternParsingResults results)

    - #### updatedPatternResults

          public AdvancedPatternParser.AdvancedPatternParserSnapshot.Builder updatedPatternResults(org.eclipse.emf.common.util.URI uri,
                                                                                                   PatternParsingResults results)

    - #### impactedPatternResults

          public AdvancedPatternParser.AdvancedPatternParserSnapshot.Builder impactedPatternResults(org.eclipse.emf.common.util.URI uri,
                                                                                                    PatternParsingResults results)

    - #### unaffectedPatterns

          @Deprecated
          public AdvancedPatternParser.AdvancedPatternParserSnapshot.Builder unaffectedPatterns(org.eclipse.emf.common.util.URI uri,
                                                                                                            java.util.Collection<Pattern> results)

      Deprecated. This method was introduced by error, all its calls are ignored

    - #### build

          public AdvancedPatternParser.AdvancedPatternParserSnapshot build()